Bug 961572 - scanimage --all-options locks scanner until power cycle
scanimage --all-options locks scanner until power cycle
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 21:27 EDT by amturnip
Modified: 2015-06-29 07:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:57:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description amturnip 2013-05-09 21:27:52 EDT
Description of problem:

"scanimage --all-options" displays a nice readout but leaves the scanner unresponsive.  After I power-cycle the scanner, I can use it again.  It is a Hewlett-Packard M1212nf.

Version-Release number of selected component (if applicable):

 $ rpm -q sane-backends hplip libsane-hpaio
 sane-backends-1.0.23-7.fc18.x86_64
 hplip-3.13.3-2.fc18.x86_64
 libsane-hpaio-3.13.3-2.fc18.x86_64

How reproducible:

Consistently.

Steps to Reproduce:

1.This scanimage command produces a nice readout:

SANE_DEFAULT_DEVICE="hpaio:/net/HP_LaserJet_Professional_M1212nf_MFP?ip=10.10.159.92" scanimage --all-options

All options specific to device `hpaio:/net/HP_LaserJet_Professional_M1212nf_MFP?ip=10.10.159.92':
  Scan mode:
    --mode Lineart|Gray|Color [Lineart]
        Selects the scan mode (e.g., lineart, monochrome, or color).
    --resolution 75|100|150|200|300|600|1200dpi [75]
        Sets the resolution of the scanned image.
    --source ADF|Flatbed [ADF]
        Selects the scan source (such as a document-feeder).
  Advanced:
    --contrast 1..11 [6]
        Controls the contrast of the acquired image.
  Geometry:
    -l 0..215.9mm [0]
        Top-left x position of scan area.
    -t 0..381mm [0]
        Top-left y position of scan area.
    -x 0..215.9mm [215.9]
        Width of scan-area.
    -y 0..381mm [381]
        Height of scan-area.

2. Do it again... it takes 45 seconds and then reports failure:
$ SANE_DEFAULT_DEVICE="hpaio:/net/HP_LaserJet_Professional_M1212nf_MFP?ip=10.10.159.92" scanimage --all-options
scanimage: open of device hpaio:/net/HP_LaserJet_Professional_M1212nf_MFP?ip=10.10.159.92 failed: Error during device I/O

3. Go to another computer and try that command (addressing the very same scanner)... same bad result.
  

Actual results:  Getting the options locks the scanner until it is powered off.


Expected results:  Getting the options leaves the scanner in a happy state, ready to scan.
Comment 1 Nils Philippsen 2013-05-15 05:57:58 EDT
Hmm, I'm a bit dumbfounded why accessing just help would need to access the device at all. Anyway, your device driver comes with the libsane-hpaio (hplip) package, changing component to hplip.
Comment 2 Fedora End Of Life 2013-12-21 08:28:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:18:10 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 amturnip 2014-02-08 16:32:30 EST
I have reproduced the problem with Fedora 20.
Comment 5 Fedora End Of Life 2015-05-29 05:03:04 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 07:57:01 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.